package com.ruoyi.invest.mapper;

import java.util.List;
import com.ruoyi.invest.domain.TStudyInformation;

/**
 * 研究资料管理Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public interface TStudyInformationMapper 
{
    /**
     * 查询研究资料管理
     * 
     * @param id 研究资料管理主键
     * @return 研究资料管理
     */
    public TStudyInformation selectTStudyInformationById(String id);

    /**
     * 查询研究资料管理列表
     * 
     * @param tStudyInformation 研究资料管理
     * @return 研究资料管理集合
     */
    public List<TStudyInformation> selectTStudyInformationList(TStudyInformation tStudyInformation);

    /**
     * 新增研究资料管理
     * 
     * @param tStudyInformation 研究资料管理
     * @return 结果
     */
    public int insertTStudyInformation(TStudyInformation tStudyInformation);

    /**
     * 修改研究资料管理
     * 
     * @param tStudyInformation 研究资料管理
     * @return 结果
     */
    public int updateTStudyInformation(TStudyInformation tStudyInformation);

    /**
     * 删除研究资料管理
     * 
     * @param id 研究资料管理主键
     * @return 结果
     */
    public int deleteTStudyInformationById(String id);

    /**
     * 批量删除研究资料管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTStudyInformationByIds(String[] ids);

    /**
     * 批量删除研究资料管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateTStudyInformationByIds(String[] ids);
}
